Name:           qps
Version:        1.10.19
Release:        0%{?dist}.2sunshine
Summary:        Visual process manager

Group:          Applications/System
License:        GPLv2+
URL:            https://github.com/lxqt/qps
Source0:        https://github.com/lxqt/qps/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake >= 3.1.0
BuildRequires:  gcc-c++
BuildRequires:  qt5-devel >= 5.7.1
BuildRequires:  libXrender-devel
BuildRequires:  lxqt-build-tools >= 0.3.2
BuildRequires:  desktop-file-utils

Patch0:         qps-1.10.19-lxqtbt_minimum_version.patch


%description
Qps is a visual process manager, an X11 version of "top" or "ps" that
displays processes in a window and lets you sort and manipulate them.

Qps can:
  o  Change nice value of a process.
  o  Alter the scheduling policy and soft realtime priority of a process.
  o  Display the TCP/UDP sockets used by a process, and names of the
     connected hosts (Linux only).
  o  Display the memory mappings of the process (which files and shared
     libraries are loaded   where).
  o  Display the open files of a process, and the state of unix domain sockets.
  o  Kill or send any other signal to selected processes.
  o  Display the load average as a graph, and use this as its icon when
     iconified.
  o  Show (as graph or numbers) current CPU, memory and swap usage.
  o  Sort the process table on any attribute (size, cpu usage, owner etc).
  o  On SMP systems running Linux 2.6 or later (or Solaris), display cpu usage
     for each processor, and which CPU a process is running on.
  o  Display the environment variables of any process.
  o  Show the process table in tree form, showing the parent-child
     relationship.
  o  Execute user-defined commands on selected processes.



%prep
%setup -q
%patch0 -p1 -b .lxqtbt_minimum_version

#iconv --from-code ISO88591 --to-code UTF8 ./CHANGES \
#--output CHANGES.utf-8 && mv CHANGES.utf-8 ./CHANGES
 

%build
mkdir build
pushd build
%cmake ..
%make_build
popd


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
pushd build
%make_install
popd

desktop-file-install --vendor=fedora \
        --remove-category=Application \
        --dir %{buildroot}%{_datadir}/applications \
        %{buildroot}%{_datadir}/applications/qps.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%license COPYING LICENSE.QPL
%doc README.md CHANGELOG
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/translations/%{name}_*.qm
%{_mandir}/man1/qps.1*

%changelog
* Tue Jan 29 2019 Moritz Barsnick <moritz+rpm@barsnick.net> 1.10.19-0.2sunshine
- change the required version of lxqt-build-tools to 0.5.0 (0.3.2 doesn't
  seem to work)

* Tue Jan 29 2019 Moritz Barsnick <moritz+rpm@barsnick.net> 1.10.19-0.1sunshine
- update to 1.10.19
- bump the required version in BR: cmake
- add BR: lxqt-build-tools
- add a patch to drop the required version of lxqt-build-tools to 0.3.2 (as
  still provided in F28)
- adapt translations location
- remove obsoleted patches

* Thu Nov 22 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 1.10.18-0.1sunshine
- update to 1.10.18
- new URL and Source0 locations
- BR: qt5-devel, no longer qt4-devel
- add BR: cmake, gcc-c++, libXrender-devel
- drop BuildRoot tag
- use more macros
- update %%doc
- no need to install manually anymore

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May  8 2009 Ville Skyttä <ville.skytta at iki.fi> - 1.10.2-4
- Don't strip binaries before -debuginfo is created (#499744).

* Wed Mar 04 2009 Caolán McNamara <caolanm@redhat.com> - 1.10.2-3
- include stdio.h for printf

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Sep 6 2008 Arindam Ghosh <makghosh@fedoraproject.org> - 1.10.2-1
- new upstream release
- fix gcc4.3 mass-rebuild failure
- updated license tag

* Wed Sep 3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.9.19-0.4.b
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.9.19-0.3.b
- Autorebuild for GCC 4.3

* Mon Mar 19 2007 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.19-0.2.b
- Update to 1.9.9b

* Mon Mar  5 2007 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.19-0.1.a
- Update to 1.9.19a

